Show / Hide Table of Contents

# Class OpenSubContextMenuItem

An item in a context menu that can open a sub context menu.

##### Inheritance

System.Object
ContextMenuItem
OpenSubContextMenuItem

##### Inherited Members

ContextMenuItem.Name
ContextMenuItem.IsEnabled
ContextMenuItem.Indicator
ContextMenuItem.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.Gui.ContextMenus

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class OpenSubContextMenuItem : ContextMenuItem

### Properties

| Improve this Doc View Source

#### Opened

Gets the action that will be called when the item is selected.

##### Declaration

    public ContextMenuOpenedDelegate Opened { get; }

##### Property Value

Type | Description
--- | ---
ContextMenuOpenedDelegate |

### Methods

| Improve this Doc View Source

#### GetHashCode()

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
System.Int32 |

##### Overrides

ContextMenuItem.GetHashCode()